@import "src/styles";

:host {
    display: block;
    max-width: 100%;
}

.input-header{
    display: flex;
    margin-bottom: 4px;

    .input-label{
        margin-left: 4px;
        font-size: 12px;
        color: $color-dark-blue;
    
        &.error{
            color: $color-error;
        }
    }
    .input-maxLength{
        margin-right: 4px;
        align-self: flex-end;
        margin-left: auto;
        font-size: 12px;
        color: $color-grey-thirty;
    }
}

.input{
    font-size: 12px;
    padding: 8px;
    background-color: $color-white;
    border: 1px solid $color-grey-thirty;
    box-sizing: border-box;
    width: 100%;
    color: $color-dark-blue;
    border-radius: 5px;
    max-width: 100%;
    height: 100px;

    &.error{
        border: 1px solid $color-error;
    }

    &:focus {
        outline: none !important;
        border: 1px solid $color-teal;
    }
}